Rygel.MediaRendererPlugin.MediaRendererPlugin – librygel-renderer Reference Manual

# MediaRendererPlugin

## Description:

public MediaRendererPlugin (`string` name, `string`? title, `string`? description = null, `PluginCapabilities` capabilities = `NONE`)

Create an instance of the plugin.

## Parameters:

name | The non-human-readable name for the plugin and its renderer, used in UPnP messages and in the Rygel configuration file.
title | An optional human-readable name (friendlyName) of the UPnP renderer provided by the plugin. If the title is empty then the name will be used.
description | An optional human-readable description (modelDescription) of the UPnP renderer provided by the plugin.